Imports System.ComponentModel
Imports Telerik.WinControls
Imports Telerik.WinControls.UI


Public Class TextRotatorControl
    Inherits RadControl

#Region "Private fields"

    Private _textRotator As TextRotatorElement

#End Region

#Region "Constructors & Initialization"

    Public Sub New()
        Me.UseNewLayoutSystem = True
    End Sub

    Protected Overrides Sub CreateChildItems(ByVal parent As RadElement)
        _textRotator = New TextRotatorElement()
        _textRotator.AutoSize = True
        parent.Children.Add(_textRotator)
    End Sub

#End Region

#Region "Properties"

    Private ReadOnly Property TextRotator() As TextRotatorElement
        Get
            EnsureChildItems()
            Return Me._textRotator
        End Get
    End Property

    <DesignerSerializationVisibility(DesignerSerializationVisibility.Content)> _
    Public Property Strings() As String()
        Get
            Return Me.TextRotator.Strings
        End Get
        Set(ByVal value As String())
            Me.TextRotator.Strings = value
        End Set
    End Property

    Public ReadOnly Property Running() As Boolean
        Get
            Return Me.TextRotator.Running
        End Get
    End Property

    Public Property Steps() As Integer
        Get
            Return Me.TextRotator.Steps
        End Get
        Set(ByVal value As Integer)
            Me.TextRotator.Steps = value
        End Set
    End Property

#End Region

#Region "Public Methods"

    Public Sub Start()
        Me.TextRotator.Start()
    End Sub

    Public Sub [Stop]()
        Me.TextRotator.Stop()
    End Sub

#End Region

End Class